dm "log; clear; output; clear;";
run;

libname atn '\\Client\H$\Documents\CCAS Cloud Files\Research\Dissertation';
run;
options msglevel=I;


data workab;
set atn.june2020;
SexMaleMosFollowUpA = SexMaleMosFollowUp;
If sexmalemosfollowup = 9998 then sexmalemosfollowupa = .;
If sexmalemosfollowup = 9999 then sexmalemosfollowupa = .;
* creating inconsistent response variable; 
inconsist = .;
if sexmalemosfollowupa ge 1 and mostrecentpartner=0 then inconsist=1; 
if sexmalemosfollowupa = 0 and mostrecentpartner=1 then inconsist=1;
if timepoint = "Baseline" then timnum=0; 
if timepoint = "Week: 4" then timnum=4;
if timepoint = "Week: 8" then timnum=8;
if timepoint = "Week: 12" then timnum=12;
if timepoint = "Week: 24" then timnum=24;
if timepoint = "Week: 36" then timnum=36;
if timepoint = "Week: 48" then timnum=48;

* recoding missing; 
array eights (*) 
CondomBetter
CondomCauseHIV
CondomConnect
CondomDontLike
CondomElse
CondomIrresp
CondomLove
CondomRelax
CondomSTI
CondomSayNo
CondomSpont
CondomTrust
PartBirthGender
PartInfluence
PartKnowPosWhen
PartPos
PartPrep
PrepBeliefComfort
PrepBeliefCondom
PrepBeliefEffective
PrepBeliefHurt
PrepBeliefPills
PrepBeliefSex
PrepBeliefWorryLess
Relationship;
do i=1 to dim(eights);
if eights[i]=8 then eights[i]=.;
if eights[i]=9 then eights[i]=.;
end;

array sextimes (*)
SexInsertiveCondom
SexInsertiveTimes
SexMaleUnprotectBaseline
SexReceptiveCondom
SexReceptiveTimes;


do i=1 to dim(sextimes);
if sextimes(i) = 9999 then sextimes(i) = .;
if sextimes(i) = 9998 then sextimes(i) = .;
end;
baseonly=0;
*tagging baseonly cases; 
if pid=	50873	then baseonly = 1;
if pid=	50876	then baseonly = 1;
if pid=	50883	then baseonly = 1;
if pid=	50889	then baseonly = 1;
if pid=	50911	then baseonly = 1;
if pid=	50914	then baseonly = 1;
if pid=	50870	then baseonly = 1;
if pid=	210097	then baseonly = 1;
if pid=	220133	then baseonly = 1;
if pid=	220138	then baseonly = 1;
if pid=	10426	then baseonly = 1;
if pid=	10428	then baseonly = 1;
if pid=	10433	then baseonly = 1;
if pid=	10448	then baseonly = 1;
if pid=	20268	then baseonly = 1;
if pid=	20416	then baseonly = 1;
if pid=	20420	then baseonly = 1;
if pid=	20423	then baseonly = 1;
if pid=	40449	then baseonly = 1;
if pid=	50828	then baseonly = 1;
if pid=	50837	then baseonly = 1;
if pid=	50845	then baseonly = 1;
if pid=	50856	then baseonly = 1;
if pid=	100343	then baseonly = 1;
if pid=	120443	then baseonly = 1;
if pid=	160316	then baseonly = 1;
if pid=	160322	then baseonly = 1;
if pid=	180184	then baseonly = 1;
if pid=	190145	then baseonly = 1;
if pid=	200102	then baseonly = 1;
if pid=	210066	then baseonly = 1;
if pid=	210063	then baseonly = 1;
if pid=	50851	then baseonly = 1;

if baseonly = 1 then delete;

* deleting two cases that have no condom beliefs or sexual behavior data -- only for condom analysis;
if pid = 50800 then delete; 
if pid = 160330 then delete;
* note that case 160330 also would have been deleted because he seroconverted; 

* deleting one case that only has baseline data for condom beliefs and sexual behavior;
if pid = 160329 then delete; 

* tagging cases where participant seroconverted;
hiv=0;
if pid=	100349	then hiv=1;
if pid=	100351	then hiv=1;
if pid=	100329	then hiv=1;
if pid=	160330	then hiv=1;
if pid=	210093	then hiv=1;
if pid=	100354	then hiv=1;
if pid=	10435	then hiv=1;
if hiv = 1 then delete;
 

* recoding sexual behavior data if participant reports more than 100 male sexual partners since last follow-up (n=3); 
array sextimesr (*)
SexInsertiveCondomR
SexInsertiveTimesR
SexMaleUnprotectBaselineR
SexReceptiveCondomR
SexReceptiveTimesR;
do i=1 to dim(sextimesr);
sextimesr(i) = sextimes(i);
end;
do i=1 to dim(sextimesr);
if sexmalemosfollowupa ge 100 then sextimesr(i) = .; end;


* recoding sexual behavior data if partner assigned female at birth;
do i=1 to dim(sextimesr);
if partbirthgender = 2 then sextimesr(i) = .;
end;


* adding zeroes back into sexual act data; 

aic	=	SexInsertiveCondomR; if	MostRecentPartner=0 then	aic= 0;
ait	=	SexInsertiveTimesR; if	MostRecentPartner=0 then	ait= 0;
arc	=	SexReceptiveCondomR; if	MostRecentPartner=0 then	arc= 0;
art	=	SexReceptiveTimesR; if	MostRecentPartner=0 then	art= 0;
if 	ait	=0 then	aic	=0;
if 	art	=0 then	arc	=0;
uains = ait - aic; 
uarec = art - arc; 
totuai= uains + uarec;
 

* coding sexual behavior variables as missing if reports inconsistent;

array sexfinal (*)
aic
ait
arc
art
uains
uarec
totuai;

do i=1 to dim(sexfinal);
if inconsist = 1 then sexfinal(i) = .; end;



*sexual orientation variable;
sexor = .;
if demid = 2 then sexor = 1;
if (demid = 1) or (demid = 3) or (demid = 5) or (demid = 6) or (demid = 7) then sexor = 3;
if demid = 4 then sexor = 2;
if (demid = 98) or (demid = 99) then sexor = .;
* Manually recoding five cases that selected 'other' for how they identify;
if (pid = 10437) or (pid=210071) then sexor = 2;
if (pid = 120431) or (pid=160342) then sexor = 3; 



* race variable; 
raceab = .;
if racel = "White" then raceab = 1;
if racel = "Black or African American" then raceab=2;
if racel = "American Indian" then raceab = 3;
if racel = "Asian" then raceab = 3;
if racel = "Information not available to clinic" then raceab = .;
if racel = "Pacific Islander (other than Native Hawaiian)" then raceab = 3;
if racel = "Subject does not know" then raceab = .;
if racel = "Subject does not want to report" then raceab = .;

* Hispanic ethnicity variable; 
hispab = .;
if hispncl = "Hispanic or Latino" then hispab = 1;
if hispncl = "Non-Hispanic or Non-Latino" then hispab = 0;
if hispncl = "Subject does not know" then hispab = .;


* Renaming condom belief items;
c01=CondomBetter;
c02=CondomCauseHIV;
c03=CondomConnect;
c04=CondomDontLike;
c05=CondomElse;
c06=CondomIrresp;
c07=CondomLove;
c08=CondomRelax;
c09=CondomSTI;
c10=CondomSayNo;
c11=CondomSpont;
c12=CondomTrust;

* Recoding the one condom item;
c09r = 6 - c09; 

* Dummy-coding covariates;

racw=.;
raco=.;
if raceab=1 then racw = 1;
if raceab=1 then raco=0;
if raceab=2 then racw=0;
if raceab=2 then raco=0;
if raceab=3 then raco=1;
if raceab=3 then racw=0;
sexorb=.;
sexoro=.;
if sexor = 1 then sexorb = 0;
if sexor = 1 then sexoro = 0;
if sexor = 2 then sexorb = 1;
if sexor = 2 then sexoro = 0;
if sexor = 3 then sexorb = 0;
if sexor = 3 then sexoro = 1;


* Deleting case who withdraw bc of toxicity;

if pid = 20430 then delete;


run;



data atn.dataclean211229;
set workab;
run;


data workab00;
set atn.dataclean211229;
if timnum ne 0 then delete;
c0100	=	c01	;
c0200	=	c02	;
c0300	=	c03	;
c0400	=	c04	;
c0500	=	c05	;
c0600	=	c06	;
c0700	=	c07	;
c0800	=	c08	;
c0900	=	c09	;
c1000	=	c10	;
c1100	=	c11	;
c1200	=	c12	;
c0900r	=	c09r	;
totuai00	=	totuai	;
keep
PID
DAGE
hispab
racw
raco
sexoro
sexorb
c0100
c0200
c0300
c0400
c0500
c0600
c0700
c0800
c0900
c1000
c1100
c1200
c0900r
totuai00;
run; 


data workab04;
set atn.dataclean211229;
if timnum ne 4 then delete;
totuai04	=	totuai	;
keep
PID
totuai04;
run;


data workab08;
set atn.dataclean211229;
if timnum ne 8 then delete;
totuai08	=	totuai	;
keep
PID
totuai08;
run;


data workab12;
set atn.dataclean211229;
if timnum ne 12 then delete;
totuai12	=	totuai	; 
keep
pid
totuai12
;
run;


data workab24;
set atn.dataclean211229;
if timnum ne 24 then delete;
totuai24	=	totuai	; 
keep
pid
totuai24;
run;


data workab36;
set atn.dataclean211229;
if timnum ne 36 then delete;
totuai36	=	totuai	; 
keep
pid
totuai36;
run;


data workab48;
set atn.dataclean211229;
if timnum ne 48 then delete;
c0148	=	c01	;
c0248	=	c02	;
c0348	=	c03	;
c0448	=	c04	;
c0548	=	c05	;
c0648	=	c06	;
c0748	=	c07	;
c0848	=	c08	;
c0948	=	c09	;
c1048	=	c10	;
c1148	=	c11	;
c1248	=	c12	;
c0948r	=	c09r	;
totuai48	=	totuai	; 
keep
pid
c0148
c0248
c0348
c0448
c0548
c0648
c0748
c0848
c0948
c1048
c1148
c1248
c0948r
totuai48;
run;

proc sort data=workab00; by pid; run;
proc sort data=workab04; by pid; run;
proc sort data=workab08; by pid; run;
proc sort data=workab12; by pid; run;
proc sort data=workab24; by pid; run;
proc sort data=workab36; by pid; run;
proc sort data=workab48; by pid; run;

data workaballtime;
merge workab00 workab04 workab08 workab12 workab24 workab36 workab48; by pid;
run;

data atn.allgoodcases211230;
set workaballtime;
c0100r = 6 - c0100;
c0200r = 6 - c0200;
c0300r = 6 - c0300;
c0400r = 6 - c0400;
c0500r = 6 - c0500;
c0600r = 6 - c0600;
c0700r = 6 - c0700;
c0800r = 6 - c0800;
c1000r = 6 - c1000;
c1100r = 6 - c1100;
c1200r = 6 - c1200;
c0148r = 6 - c0148;
c0248r = 6 - c0248;
c0348r = 6 - c0348;
c0448r = 6 - c0448;
c0548r = 6 - c0548;
c0648r = 6 - c0648;
c0748r = 6 - c0748;
c0848r = 6 - c0848;
c1048r = 6 - c1048;
c1148r = 6 - c1148;
c1248r = 6 - c1248;
run; 

