dm "log; clear; output; clear;";
run;

libname atn '\\Client\H$\Documents\CCAS Cloud Files\Research\Dissertation';
run;
options msglevel=I;


proc import datafile="S:\Barnett files\StructuralModelCooksD.22.06.23.set1.csv" dbms=csv out=set1 replace; getnames=yes;
run;


proc import datafile="S:\Barnett files\StructuralModelCooksD.22.06.23.set2.csv" dbms=csv out=set2 replace; getnames=yes;
run;

proc import datafile="S:\Barnett files\StructuralModelCooksD.22.06.23.set3.csv" dbms=csv out=set3 replace; getnames=yes;
run;

proc import datafile="S:\Barnett files\StructuralModelCooksD.22.06.23.set4.csv" dbms=csv out=set4 replace; getnames=yes;
run;

proc import datafile="S:\Barnett files\StructuralModelCooksD.22.06.23.set5.csv" dbms=csv out=set5 replace; getnames=yes;
run;

proc print data=set1 (obs=5); run;
proc print data=set2 (obs=5); run;
proc print data=set3 (obs=5); run;
proc print data=set4 (obs=5); run;
proc print data=set5 (obs=5); run;

data set1prime; set set1; cooks1=outcook; keep pid cooks1; run;
data set2prime; set set2; cooks2=outcook; keep pid cooks2; run;
data set3prime; set set3; cooks3=outcook; keep pid cooks3; run;
data set4prime; set set4; cooks4=outcook; keep pid cooks4; run;
data set5prime; set set5; cooks5=outcook; keep pid cooks5; run;

proc univariate data=set1; var outcook; run;
proc univariate data=set1prime; var cooks1; run;

proc univariate data=set2; var outcook; run;
proc univariate data=set2prime; var cooks2; run;

proc univariate data=set3; var outcook; run;
proc univariate data=set3prime; var cooks3; run;

proc univariate data=set4; var outcook; run;
proc univariate data=set4prime; var cooks4; run;

proc univariate data=set5; var outcook; run;
proc univariate data=set5prime; var cooks5; run;

proc sort data=set1prime; by pid; run;
proc sort data=set2prime; by pid; run;
proc sort data=set3prime; by pid; run;
proc sort data=set4prime; by pid; run;
proc sort data=set5prime; by pid; run;

proc freq data=set1prime; tables cooks1; where cooks1 = .; run;
proc freq data=set2prime; tables cooks2; where cooks2 = .; run;
proc freq data=set3prime; tables cooks3; where cooks3 = .; run;
proc freq data=set4prime; tables cooks4; where cooks4 = .; run;
proc freq data=set5prime; tables cooks5; where cooks5 = .; run;


data setscombo; merge set1prime set2prime set3prime set4prime set5prime; by pid; 
cookcomb = mean(cooks1,cooks2,cooks3,cooks4,cooks5); run;
 
proc print data=setscombo (obs=5); run;

data workab2; set setscombo; id=_N_; run;

proc plot data=workab2; plot cookcomb * id; run;


proc print data=workab2; var pid cookcomb; where cookcomb gt 1; run;
proc univariate data=workab2; var cookcomb; run;
